<html>
   <head>
      <meta http-equiv="pragma" content="no-cache">
      <meta http-equiv='content-type' content='text/html; charset=utf-8'>
      <title>Wrightia :: Service's Comments Viewer</title>
      %invoke wia.svccommtsvuer.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      %end invoke%
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td>
               %invoke wia.svccommtsvuer.ui.about:getMetadata%
                  <h1 class="title">%value packageLongName%, v%value packageVersion%</h1>
               %onerror%
                  <h1 class="title">Error: could not resolve package info</h1>
               %end invoke%
               <h3 class="title">Home Page</h3>
            </td>
            <td width="10" align="right"><img src="/WiaRoot/images/logo.gif"></td>
         </tr>
      </table>

      <h2>Credits</h2>
         <div>
            <p>A package developed by <span class="productname">Wrightia, S.A.</span> (<span class="productname">www.wrightia.com</span>) &copy; 2006-2016.</p>
         </div>

   %ifvar LicenseInfo/isValid equals('false')%
      <h2>License Warning</h2>
         <div class="bodyText">
            <p class="attention">
               This is installation is not in an usable state due to licensing restrictions.
            </p>
            <p>
               <span class="stressed">Please check your <span class="productname">Service Profiler</span> installation</span>:
               it does not need to be started, <span class="emphasized">but it has to be valid</span>.
            </p>
         </div>
   %end if%

    <h2>Purpose</h2>
      <div>
         <p>
            This package provides functionality to view the service's comments.
         </p>
         <p>
            If the service's comments are completed with enough detail, up to the input/output arguments, added by useful
            formatting, those comments can become the service's only required documentation.
         </p>
         <p>
            Comments are expected to be composed of text formatted as <span class="productname">markdown</span>,
            <span class="productname">DocLet</span>-like tags and <span class="productname">xHTML</span> constructs.
            To help you to compose useful service comments a <a href="help/comments-guide.html">comments composition guide</a> is available.
         </p>
         <p>
            %ifvar LicenseInfo/isValid equals('true')%
               Currently implemented functionality includes:
               <ul>
                  <li><a href="service_select.dsp">View Service Comments</a></li>
               </ul>
            %end if%
         </p>
      </div>

    <h2>Configuration</h2>
      <div>
         <p>
            The viewer can introspect services either on <span class="stressed">this</span> <span class="productname">Integration server</span> or on another one.
         </p>
         <p>
            To access another <span class="productname">Integration server</span>, this is achieved through remote invokes.
            The selectable <span class="systemname">Remote Aliases</span> are all that have a name prefix of <tt>%value RemoteAliasPrefix%</tt>.
         </p>
         <p>
            <span class="emphasized attention">Mind the security settings</span>. By default, when installed, only <tt>Administrators</tt>
            have access to the functionally. Review the <span class="systemname">Security</span> section (<em>below</em>)
            for detailed information.
         </p>
      </div>

    <h2>Security</h2>
      <div>
         <p>
            The public functionality available from this package is of very strict usage and limited to users associated
            with the <tt>WiaServiceCommentViewers</tt> <span class="productname">ACL</span>.
         </p>
         <p>
            Upon package installation, the above indicated <span class="productname">ACL</span> is automatically created
            and the group <tt>Administrators</tt> is assigned to it.
            Any new or specific users need to belong to a group and that group needs to be manually added to the
            <span class="productname">ACL</span>.
         </p>
         <p>
            As stated above, the tool can access services at a remote <span class="productname">Integration server</span>s,
            via <span class="systemname">Remote Aliases</span>:
            <ul>
               <li>Those aliases <span class="emphasized">must</span> be defined with the <tt>WiaServiceCommentViewers</tt> <span class="productname">ACL</span>.</li>
               <li>The remote invocations are also restricted and require that the <span class="productname">Service Comments Remote Reader</span>
                  is installed in that remote <span class="productname">Integration server</span>;</li>
               <li>The user to set in the configuration of the <span class="systemname">Remote Alias</span> has to (<em>obviously</em>)
                  exist in the remote server and has to be allowed by the <tt>WiaServiceCommentViewers</tt>
                  <span class="productname">ACL</span> in that remote server.
                  <p>After installing the <span class="productname">Service Comments Remote Reader</span> package, read the
                     security notes on its homepage.
                  </p>
               </li>
            </ul>
         </p>
      </div>

    <h2>Documentation</h2>
      <div>
         <p>
            As stated above, <a href="help/comments-guide.html">service comments guidelines</a> are available.
         </p>
         <p>
            <span class="attention loud">Read the documentation</span>. It is not extensive and will save you time in the long run.
         </p>
      </div>

   </body>
</html>
