<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN">
<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Service's Comments Viewer</title>
      %invoke wia.svccommtsvuer.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      %end invoke%
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="css/package.css" />
      <link rel="stylesheet" type="text/css" href="css/service_comments.css" />
      <link rel="stylesheet" type="text/css" href="css/print.css" media="print" />
      <style>
         /* -- compensate the application of the !DOCTYPE -- */
         *{
            font-size: 110%;
         }
         ul {
            font-size: 80%;
         }
         td.value ul {
            font-size: 100%;
         }
         /* -- END -- */

         .viewInputArguments, .viewOutputArguments, .commentsView, .viewOperation {
            width: 90%;
         }
         .viewOperation {
            margin-top: 1em;
         }
         .viewOperation .viewInputArguments, .viewOperation .viewOutputArguments, .viewOperation .commentsView {
            width: 98%;
            margin-top: .5em;
            background-color: #fff;
            margin-left: auto;
            margin-right: auto;
         }
         .commentsView td.label {
            width: 15em;
            white-space: nowrap;
         }

         %ifvar showDeveloperNotes equals('true')%
         %comment%This is why this CSS is not in the separate CSS file: it is only applicable if the developer notes are to be shown.%end comment%
         div.developerNote {
            display: block;
            white-space: pre;
            font-family: monospace;
            margin-left: 1em;
            margin-right: 1em;
            margin-bottom: 1em;
            padding-top: 4px;
            padding-right: 4px;
            padding-left: 4px;
            padding-bottom: 4px;
            background-color: #ffffed;
            border: 1px solid #e0e0c0;
            text-align: left;
         }
         div.developerNote p {
            margin: -12px 0 0 0;
            padding: -12px 0 0 0;
            font-weight: bold;
         }
         div.developerNote dl {
            margin: -20px 0 0 0;
            padding: -20px 0 0 0;
         }
         div.developerNote p, div.developerNote dl {
            white-space: normal;
            font-family: verdana, arial, helvetica;
            font-size: 90%;
         }
         div.developerNote dt {
            list-style-type: disc;
            list-style-position: outside;
            margin: 6px 0 3px 20px;
            text-decoration: underline;
         }
         div.developerNote ul {
            margin-left: 2em;
            padding: 0;
         }
         div.developerNote li {
            font-size: 1em;
            margin-top: 0;
            margin-bottom: .3em;
         }
         div.developerNote li p {
            font-weight: normal;
            margin-top: 0;
            margin-bottom: .2em;
         }
         %endif%
      </style>
<!--[if IE]>
      <style>
         div.developerNote p, div.developerNote dl {
            font-size: 85%;
         }
         .commentsView td.label {
            width: 20%;
         }
         .viewOperation td.ie {
            text-align: center;
         }
      </style>
<![endif]-->
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td class="menusection menusection-ServiceCommentsViewer" colspan="2">Service Selection &gt; View Comments</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="./">Go Home</a></li>
                  %ifvar remoteAlias -notempty%
                     <li><a href="service_select.dsp?selectServer=%value remoteAlias encode(url)%">Select another service on same server</a></li>
                     <li><a href="service_select.dsp">Select another service (re-select server)</a></li>
                  %else%
                     <li><a href="service_select.dsp">Select another service%ifvar noremoteaccess equals('true')%%else%/server%endif%</a></li>
                  %endif%
               </ul>
            <td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left indentation to the child tables -->
         <tr>
            <td width="10">&nbsp;</td>
            %invoke wia.pub.svccommtsvuer:get%
               <td>
                  %scope Comments%
                     %include service_comments_snippet.dsp%
                  %end scope%
               </td>
            %onerror%
               <td class="message" colspan="4">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br/><br/>
                  %value errorMessage encode(xml)%
               </td>
            %end invoke%
         </tr>
      </table>
   </body>
</html>
